## python-rt 3.0.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-rt 2.0.1

=== debian/changelog ===
python-rt (2.0.1-2) unstable; urgency=medium

  * Source only upload as is.

 -- Birger Schacht <birger@debian.org>  Sun, 01 Nov 2020 10:16:15 +0100

python-rt (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #913211)

 -- Birger Schacht <birger@debian.org>  Fri, 30 Oct 2020 20:49:08 +0100

=== debian/control ===
Source: python-rt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-requests,
               python3-sphinx
Standards-Version: 4.5.0
Homepage: https://github.com/CZ-NIC/python-rt
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rt

Package: python3-rt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         python3-requests
Description: Python interface to Request Tracker API
 Python implementation of the Request Tracker REST API
 See also http://requesttracker.wikia.com/wiki/REST

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-rt-$1\.tar\.gz/ \
  https://github.com/CZ-NIC/python-rt/tags .*/v?(\d\S+)\.tar\.gz

## python-rt 3.0.4

=== debian/changelog ===
python-rt (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4
  * d/control:
    + Add addition build dependencies
    + Bump Standards-Version
  * d/copyright:
    + Update copyright years
  * d/rules:
    + disable tests that need network access
    + set version in doc/conf.py to current DEB_VERSION
  * d/watch:
    + use default pypi.debian.net watchfile
  * d/gbp.conf
    + Set debian-branch

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Birger Schacht <birger@debian.org>  Sat, 26 Nov 2022 11:58:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,16 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-requests,
-               python3-sphinx
-Standards-Version: 4.5.0
+               python3-sphinx,
+               python3-pytest,
+               python3-requests-toolbelt,
+               python3-sphinx-copybutton,
+               furo
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/CZ-NIC/python-rt
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rt.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_TEST_ARGS=-k "not test_get_user and \
	not test_ticket_operations and \
	not test_attachments_create and \
	not test_attachments_comment and \
	not test_attachments_reply and \
	not test_ticket_operations_admincc_cc and \
	not test_users and not test_queues and \
	not test_login_and_logout and \
	not test_ticket_attachments and \
	not test_ticket_take"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	sed -i 's/^release = /release = "$(DEB_VERSION)"  #/' doc/conf.py
	$(MAKE) -C doc html

## python-rt 3.1.4

=== debian/changelog ===
python-rt (3.1.4-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: small cleanup

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 11:04:03 +0100

python-rt (3.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * d/control: upgrade to using Testsuite: autopkgtest-pkg-pybuild
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 15:05:24 +0200

## python-rt 3.2.0

=== debian/changelog ===
python-rt (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 23:22:17 +0100

=== debian/control ===
Source: python-rt
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               furo,
               pybuild-plugin-pyproject,
               python3-all,
               python3-httpx,
               python3-pytest,
               python3-pytest-asyncio,
               python3-requests,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-sphinx-copybutton,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rt.git
Homepage: https://github.com/CZ-NIC/python-rt
Rules-Requires-Root: no

Package: python3-rt
Architecture: all
Depends: python3-requests,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Description: Python interface to Request Tracker API
 Python implementation of the Request Tracker REST API
 See also http://requesttracker.wikia.com/wiki/REST

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_TEST_ARGS=-k "not (test_get_user or \
	test_ticket_operations or \
	test_attachments_create or \
	test_attachments_comment or \
	test_attachments_reply or \
	test_ticket_operations_admincc_cc or \
	test_users or \
	test_queues or \
	test_login_and_logout or \
	test_ticket_attachments or \
	test_ticket_take)"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build:
	sed -i 's/^release = /release = "$(DEB_VERSION)"  #/' doc/conf.py
	$(MAKE) -C doc html

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rt/rt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
